/* $Id: SearchEntryIdImmutableException.java 860 2010-11-18 00:59:56Z hohwille $
 * Copyright (c) The m-m-m Team, Licensed under the Apache License, Version 2.0
 * http://www.apache.org/licenses/LICENSE-2.0 */
package net.sf.mmm.search.indexer.base;

import net.sf.mmm.search.api.SearchException;
import net.sf.mmm.search.indexer.NlsBundleSearchIndexerApi;

/**
 * This is the exception thrown if the user tried to modify the
 * {@link net.sf.mmm.search.api.SearchEntry#getId() ID} of a
 * {@link net.sf.mmm.search.api.SearchEntry}.
 * 
 * @author Joerg Hohwiller (hohwille at users.sourceforge.net)
 */
public class SearchEntryIdImmutableException extends SearchException {

  /** UID for serialization. */
  private static final long serialVersionUID = 5094191781995187934L;

  /**
   * The constructor.
   */
  public SearchEntryIdImmutableException() {

    super(NlsBundleSearchIndexerApi.ERR_ID_IMMUTABLE);
  }

}
